Read how you are told about each kind of notification
GET /api/member/notification-preferences. Read how you are told about each kind of notification. Headless LMS Notifications API reference.
For any signed-in person in the organization. One entry per kind; a kind you never set is on in the app and by email.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/notification-preferences"[ { "kind": "newPostInSpace", "inApp": true, "email": true }]{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Mark all your notifications read POST
POST /api/member/notifications/read. Mark all your notifications read. Headless LMS Notifications API reference.
Set how you are told about the given kinds of notification PUT
PUT /api/member/notification-preferences. Set how you are told about the given kinds of notification. Headless LMS Notifications API reference.